Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.app
Interface SimStoppingCondition

All Known Implementing Classes:
  SearchStoppingCondition

    public interface SimStoppingCondition

Represents a simulation stopping condition which is checked before the simulation ends. By default, a simulator performs a minimal number of replications or a single replication with a minimal length to get some statistics and performs some tests to determine the additional simulation time. If an additional stopping condition is added through `ContactCenterEval.setEvalOption(umontreal.iro.lecuyer.contactcenters.app.EvalOptionType, java.lang.Object)`, this condition is checked and the returned result is used instead of the default result.

Method Summary
`int` | `check(ContactCenterSim sim, int newReps)` Checks the implemented stopping condition and returns the required number of additional batches or replications to simulate.

Method Detail

### check

    int check(ContactCenterSim sim,
              int newReps)

  Checks the implemented stopping condition and returns the required number of additional batches or replications to simulate. This method must be given the contact center simulator and the number of additional replications or batches to simulate according to the simulator's default stopping condition. This number can be used or ignored and the returned value will be used instead by the simulator.

  Parameters:
    `sim` - the contact center simulator.
    `newReps` - the number of required additional batches or replications, according to the default stopping condition.
  Returns:
    the number of new replications or batches, according to the implemented stopping condition.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.